Name:           jwmtools
Summary:        Various tools for jwm window manager.
Version:        0.1.78
Release:        2%{?dist}
Group:          User Interface/Desktops
License:        GPLv3
URL:            https://github.com/kostelnik/jwmtools/
Source0:        https://github.com/kostelnik/jwmtools/release/%{name}-%{version}.tar.gz
Patch0:         jwmtools-epel7.patch
Patch1:         jwmtools-appmenugen.patch
Requires:       cairo pango gtk2 glib2 libglade2 jwm
BuildRequires:  make
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  libglade2-devel
BuildRequires:  libXext-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libX11-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  autoconf automake


%description
Various tools for jwm window manager.

%package        appmenugen
Summary:        parse all *.desktop files and generate menu
Group:          User Interface/Desktops
Requires:       %{name}


%description    appmenugen
parse all *.desktop files and generate menu with categories. Output is xml
file that can be used as part of JWM config file using this code.

%package        movemousecursor
Summary:        is tool which move cursor
Group:          User Interface/Desktops
Requires:       %{name}

%description    movemousecursor
is tool which move cursor to bottom right corner of the screen (or any other
location specified by first and second parameter)

%package        traybattery
Summary:        displays battery status
Group:          User Interface/Desktops
Requires:       %{name}

%description    traybattery
displays battery status (charge in percents and status icon).

%package        traykeymap
Summary:        displays current keyboard layout
Group:          User Interface/Desktops
Requires:       %{name}

%description    traykeymap
displays current keyboard layout

%package        traymonitor
Summary:        applet displays monitor data
Group:          User Interface/Desktops
Requires:       %{name}

%description    traymonitor
applet displays system load (cpu, load, memory, swap, network, 
disk). It uses console tool sysmonitor (sources included) as backend for 
obtaining these data.

%package        trayscript
Summary:        applet displays output of script
Group:          User Interface/Desktops
Requires:       %{name}

%description    trayscript
applet displays output of any (bash) script. Special, user defined,
script is executed every 30s and it's output is displayed in tray. This
script can contain whatever you want to be displayed on tray.

%package        trayusermount
Summary:        mounting and unmounting applet
Group:          User Interface/Desktops
Requires:       %{name}

%description    trayusermount
applet is for mounting and unmounting removable devices such as USB flash
disks. It uses pmount, pumount and blkid console tools.

%package        trayvolume
Summary:        Desktop volume control
Group:          User Interface/Desktops
Requires:       %{name}

%description    trayvolume
applet is for changing master audio volume. Both ALSA and Pulse audio are
supported. Volume is regulated using mouse wheel.


%prep
%setup -qn %{name}-%{version}

%patch0 -p1
%patch1 -p1

%build
./autogen.sh
%configure
%make_build

%check

%install
%make_install
mkdir %{buildroot}%{_datadir}/jwm/
install -Dpm0644 doc/*.png %{buildroot}%{_datadir}/jwm/

%files
%doc AUTHORS COPYING NOTES README
%{_bindir}/demo
%{_bindir}/slock
%{_datadir}/jwm/appmenugen.png
%{_datadir}/jwm/traybattery.png
%{_datadir}/jwm/traykeymap.png
%{_datadir}/jwm/traymonitor.png
%{_datadir}/jwm/trayscript.png
%{_datadir}/jwm/trayusermount.png
%{_datadir}/jwm/trayusermount2.png
%{_datadir}/jwm/trayvolume.png
%{_datadir}/jwm/trayweather1.png
%{_datadir}/jwm/trayweather2.png

%files appmenugen
%{_bindir}/appmenugen

%files movemousecursor
%{_bindir}/movemousecursor

%files traybattery
%{_bindir}/traybattery

%files traykeymap
%{_bindir}/traykeymap
%{_datadir}/%{name}/traykeymap.glade

%files traymonitor
%{_bindir}/traymonitor
%{_bindir}/sysmonitor
%{_datadir}/%{name}/traymonitor.glade

%files trayscript
%{_bindir}/trayscript
%{_datadir}/%{name}/trayscript.glade

%files trayusermount
%{_bindir}/trayusermount
%{_bindir}/blkid_test
%{_datadir}/%{name}/trayusermount.glade

%files trayvolume
%{_bindir}/trayvolume-alsa
%{_bindir}/trayvolume-pulse
%{_bindir}/alsavolumedown
%{_bindir}/alsavolumeup
%{_bindir}/pavolumedown
%{_bindir}/pavolumeup
%{_datadir}/%{name}/trayvolume.glade


%changelog
* Tue Jan 10 2017 Aram Minasyan aram dot minasyan at yahoo - 0.1.78-2
- Patch appmenugen to trim %U from exec output

* Tue Jan 10 2017 Aram Minasyan aram dot minasyan at yahoo - 0.1.78-1
- Initial SPEC file
